Package org.springframework.security.config.annotation.authentication

# Interface ProviderManagerBuilder<B extends ProviderManagerBuilder<B>>

Type Parameters:
  `B` - the type of the `SecurityBuilder`

All Superinterfaces:
  `SecurityBuilder<org.springframework.security.authentication.AuthenticationManager>`

All Known Implementing Classes:
  `AuthenticationManagerBuilder`

public interface ProviderManagerBuilder<B extends ProviderManagerBuilder<B>> extends SecurityBuilder<org.springframework.security.authentication.AuthenticationManager>
Interface for operating on a SecurityBuilder that creates a `ProviderManager`

## Method Summary

Modifier and Type
Method
Description
`B`
`authenticationProvider(org.springframework.security.authentication.AuthenticationProvider authenticationProvider)`
Add authentication based upon the custom `AuthenticationProvider` that is passed in.

### Methods inherited from interface org.springframework.security.config.annotation.SecurityBuilder

`build`

## Method Details

### authenticationProvider

B authenticationProvider(org.springframework.security.authentication.AuthenticationProvider authenticationProvider)
Add authentication based upon the custom `AuthenticationProvider` that is passed in. Since the `AuthenticationProvider` implementation is unknown, all customizations must be done externally and the `ProviderManagerBuilder` is returned immediately. Note that an Exception is thrown if an error occurs when adding the `AuthenticationProvider`.

Returns:
  a `ProviderManagerBuilder` to allow further authentication to be provided to the `ProviderManagerBuilder`